import { jsx } from "react/jsx-runtime";
import "react";
import { useCollection_deprecated } from "../../../collection-manager/index.mjs";
import { GeneralSchemaDesigner } from "../../../schema-settings/index.mjs";
import { useSchemaTemplate } from "../../../schema-templates/index.mjs";
const FormDesigner = ()=>{
    const { name, title } = useCollection_deprecated();
    const template = useSchemaTemplate();
    return /*#__PURE__*/ jsx(GeneralSchemaDesigner, {
        schemaSettings: "FormSettings",
        template: template,
        title: title || name
    });
};
const ReadPrettyFormDesigner = ()=>{
    const { name, title } = useCollection_deprecated();
    const template = useSchemaTemplate();
    return /*#__PURE__*/ jsx(GeneralSchemaDesigner, {
        schemaSettings: "ReadPrettyFormSettings",
        template: template,
        title: title || name
    });
};
const DetailsDesigner = ()=>{
    const { name, title } = useCollection_deprecated();
    const template = useSchemaTemplate();
    return /*#__PURE__*/ jsx(GeneralSchemaDesigner, {
        schemaSettings: "FormDetailsSettings",
        template: template,
        title: title || name
    });
};
export { DetailsDesigner, FormDesigner, ReadPrettyFormDesigner };
